# publish wellbore geometries

publish wellbore geometries

Endpoint: POST /v1/ingress/data-sources/{dataSource}/wellbore-geometries
Version: v1
Security: bearer, appkey, sauth_service_token

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

  - `sauth_service_token` (unknown)
    oauth2

## Path parameters:

  - `dataSource` (string, required)
    data source name

## Header parameters:

  - `slb-partition-id` (string, required)
    The data partition id.

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    wellbore geometries data list

## Request fields (application/json):

  - `id` (string, required)

  - `name` (string, required)

  - `link` (string)
    URL of the source editor, drillplan will use this value let the user navigate to source and do the data modificaiton.

  - `timestamp` (string)
    object last modify time, drillplan will compare this value and the last modify time in drillplan, to decide if the source data is newer.

  - `comments` (string)

  - `wellbore_id` (string, required)
    Id of the wellbore.

  - `is_actual` (boolean, required)

  - `is_working` (boolean)

  - `rkb` (number)
    Elevation of RKB above MSL.

  - `section_geometries` (array, required)

  - `section_geometries.component_type` (string)
    Type of wellbore section component
- Note: 'Riser' is accepted for validation purposes but is no longer supported in data processing and component with this type will be ignored if present.
    Enum: "Casing", "Conductor", "Liner", "OpenHole", "Riser", "ProductionCasing", "ProductionLiner", "TieBack", "ProductionTieBack", "SurfaceCasing"

  - `section_geometries.hole_size` (number)

  - `section_geometries.depth_lock_type` (string)
    Enum: "MD", "TVD"

  - `section_geometries.end_md` (number)

  - `section_geometries.distance_between_casing_shoe_and_section_end` (number)

  - `section_geometries.end_tvd` (number)

  - `section_geometries.start_md` (number)

  - `section_geometries.start_tvd` (number)

  - `section_geometries.toc_md` (number)

  - `section_geometries.toc_tvd` (number)

  - `section_geometries.inside_diameter` (number)

  - `section_geometries.outside_diameter` (number)

  - `section_geometries.description` (string)

  - `section_geometries.drift_diameter` (number)

  - `section_geometries.max_outside_diameter` (number)

  - `section_geometries.linear_weight` (number)

  - `section_geometries.steel_grade_type` (string)

  - `section_geometries.is_inherited_section` (boolean)

## Response 204:

  - `204` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `errors` (object)

